Package org.apache.wiki.markdown.extensions.jspwikilinks.attributeprovider

## Class ExternalLinkAttributeProviderState

- java.lang.Object
- - org.apache.wiki.markdown.extensions.jspwikilinks.attributeprovider.ExternalLinkAttributeProviderState

All Implemented Interfaces:
  `NodeAttributeProviderState<JSPWikiLink>`

    public class ExternalLinkAttributeProviderState
    extends java.lang.Object
    implements NodeAttributeProviderState<JSPWikiLink>

`NodeAttributeProviderState` which sets the attributes for external links.

### Constructor Summary

Constructors
`ExternalLinkAttributeProviderState​(org.apache.wiki.api.core.Context wikiContext, boolean hasRef, boolean isImageInlining, java.util.List<org.apache.oro.text.regex.Pattern> inlineImagePatterns)`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `setAttributes​(com.vladsch.flexmark.util.html.MutableAttributes attributes, JSPWikiLink link)` Sets node's attributes.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ExternalLinkAttributeProviderState

    public ExternalLinkAttributeProviderState​(org.apache.wiki.api.core.Context wikiContext,
                                              boolean hasRef,
                                              boolean isImageInlining,
                                              java.util.List<org.apache.oro.text.regex.Pattern> inlineImagePatterns)

### Method Detail

#### setAttributes

    public void setAttributes​(com.vladsch.flexmark.util.html.MutableAttributes attributes,
                              JSPWikiLink link)

Sets node's attributes.

Specified by:
  `setAttributes` in interface `NodeAttributeProviderState<JSPWikiLink>`
Parameters:
  `attributes` - node attributes.
  `link` - the specific node in which the attributes are going to be set.
See Also:
  `NodeAttributeProviderState.setAttributes(MutableAttributes, Node)`